Bug 436250 - xorg rawhide reliably crashes after several minutes' use
xorg rawhide reliably crashes after several minutes' use
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 22:52 EST by Luke Hutchison
Modified: 2008-03-29 23:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-29 23:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
all /var/log/Xorg* files (60.10 KB, application/zip)
2008-03-06 11:01 EST, Luke Hutchison
no flags Details

  None (edit)
Description Luke Hutchison 2008-03-05 22:52:42 EST
For the last 3 weeks or so, rawhide xorg releases have been unstable, always
crashing within a few minutes' use, regardless of whether I use the vesa, radeon
or fglrx driver.  I have had to downgrade to Fedora 8 xorg-x11 rpms to make my
system usable again.

The following error messages are given if "startx" is launched from the
terminal.  Note that the line "Could not find display for X display 0x98462b0,
probably going to crash" shows a different display number each time the server
crashes.  They often look like pointers (0x80...), perhaps suggesting memory
corruption?




Backtrace:
0: X(xf86SigHandler+0x79) [0x80bc9a9]
1: [0x110400]

Fatal server error:
Caught signal 11.  Server aborting

<unknown>: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
firefox-bin: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
pam-panel-icon: Fatal IO error 11 (Resource temporarily unavailable) on X server
:0.0.
pam-panel-icon: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
gtk-window-decorator: Fatal IO error 11 (Resource temporarily unavailable) on X
server :0.0.
gtk-window-decorator: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
Window manager warning: Fatal IO error 11 (Resource temporarily unavailable) on
display ':0.0'.
Window manager warning: Could not find display for X display 0x98462b0, probably
going to crash
Bug in window manager: IO error received for unknown display?
gnome-terminal: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
gconf-editor: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
gconf-editor: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
77c3a6da-c76f-773e-2d02e05e-7017e4e3 is dumped
xinit:  connection to X server lost.
Comment 1 Matěj Cepl 2008-03-06 06:50:27 EST
Could we get version of drivers and X server used, please?
Comment 2 Luke Hutchison 2008-03-06 09:54:36 EST
I had to downgrade so I don't know the exact versions, although, as stated, this
has been a problem with latest fedora-development RPMs for a few weeks,
including whatever was current two days ago.  I suspect things haven't changed
with whatever is in the development repository today.


Comment 3 Luke Hutchison 2008-03-06 10:14:37 EST
Sorry, I realized that the information I provided won't be much use if anyone is
looking at the bug report in a few weeks.  Here is the latest list of xorg rpm
versions, as of today.  Let me know if I missed anything important.

libICE-1.0.4-3.fc9.i386.rpm
libICE-devel-1.0.4-3.fc9.i386.rpm
libSM-1.0.2-5.fc9.i386.rpm
libSM-devel-1.0.2-5.fc9.i386.rpm
libX11-1.1.3-5.fc9.i386.rpm
libX11-devel-1.1.3-5.fc9.i386.rpm
libXNVCtrl-169.12-1.fc9.i386.rpm
libXNVCtrl-devel-169.12-1.fc9.i386.rpm
libXScrnSaver-1.1.2-4.fc9.i386.rpm
libXScrnSaver-devel-1.1.2-4.fc9.i386.rpm
libXTrap-1.0.0-5.fc9.i386.rpm
libXTrap-devel-1.0.0-5.fc9.i386.rpm
libXau-1.0.3-5.fc9.i386.rpm
libXau-devel-1.0.3-5.fc9.i386.rpm
libXaw-1.0.4-2.fc9.i386.rpm
libXaw-compat-1.0.4-2.fc9.i386.rpm
libXaw-devel-1.0.4-2.fc9.i386.rpm
libXcomposite-0.4.0-4.fc9.i386.rpm
libXcomposite-devel-0.4.0-4.fc9.i386.rpm
libXcursor-1.1.9-2.fc9.i386.rpm
libXcursor-devel-1.1.9-2.fc9.i386.rpm
libXdamage-1.1.1-4.fc9.i386.rpm
libXdamage-devel-1.1.1-4.fc9.i386.rpm
libXdmcp-1.0.2-5.fc9.i386.rpm
libXdmcp-devel-1.0.2-5.fc9.i386.rpm
libXevie-1.0.2-3.fc9.i386.rpm
libXevie-devel-1.0.2-3.fc9.i386.rpm
libXext-1.0.4-1.fc9.i386.rpm
libXext-devel-1.0.4-1.fc9.i386.rpm
libXfixes-4.0.3-3.fc9.i386.rpm
libXfixes-devel-4.0.3-3.fc9.i386.rpm
libXfont-1.3.1-4.fc9.i386.rpm
libXfont-devel-1.3.1-4.fc9.i386.rpm
libXfontcache-1.0.4-5.fc9.i386.rpm
libXfontcache-devel-1.0.4-5.fc9.i386.rpm
libXft-2.1.12-5.fc9.i386.rpm
libXft-devel-2.1.12-5.fc9.i386.rpm
libXi-1.1.3-4.fc9.i386.rpm
libXi-devel-1.1.3-4.fc9.i386.rpm
libXinerama-1.0.2-4.fc9.i386.rpm
libXinerama-devel-1.0.2-4.fc9.i386.rpm
libXmu-1.0.4-1.fc9.i386.rpm
libXmu-devel-1.0.4-1.fc9.i386.rpm
libXp-1.0.0-11.fc9.i386.rpm
libXp-devel-1.0.0-11.fc9.i386.rpm
libXpm-3.5.7-4.fc9.i386.rpm
libXpm-devel-3.5.7-4.fc9.i386.rpm
libXrandr-1.2.2-3.fc9.i386.rpm
libXrandr-devel-1.2.2-3.fc9.i386.rpm
libXrender-0.9.4-3.fc9.i386.rpm
libXrender-devel-0.9.4-3.fc9.i386.rpm
libXres-1.0.3-4.fc9.i386.rpm
libXres-devel-1.0.3-4.fc9.i386.rpm
libXt-1.0.4-5.fc9.i386.rpm
libXt-devel-1.0.4-5.fc9.i386.rpm
libXtst-1.0.3-3.fc9.i386.rpm
libXtst-devel-1.0.3-3.fc9.i386.rpm
libXv-1.0.3-5.fc9.i386.rpm
libXv-devel-1.0.3-5.fc9.i386.rpm
libXvMC-1.0.4-4.fc9.i386.rpm
libXvMC-devel-1.0.4-4.fc9.i386.rpm
libXxf86dga-1.0.2-2.fc9.i386.rpm
libXxf86dga-devel-1.0.2-2.fc9.i386.rpm
libXxf86misc-1.0.1-5.fc9.i386.rpm
libXxf86misc-devel-1.0.1-5.fc9.i386.rpm
libXxf86vm-1.0.1-5.fc9.i386.rpm
libXxf86vm-devel-1.0.1-5.fc9.i386.rpm
xorg-sgml-doctools-1.1.1-1.fc7.noarch.rpm
xorg-x11-apps-7.3-2.fc9.i386.rpm
xorg-x11-docs-1.3-2.fc9.noarch.rpm
xorg-x11-drivers-7.3-3.fc9.i386.rpm
xorg-x11-drv-acecad-1.2.2-1.fc9.i386.rpm
xorg-x11-drv-aiptek-1.0.1-6.fc9.i386.rpm
xorg-x11-drv-amd-0.0-22.20070625.fc8.i386.rpm
xorg-x11-drv-apm-1.1.1-7.fc8.i386.rpm
xorg-x11-drv-ark-0.6.0-6.fc8.i386.rpm
xorg-x11-drv-ast-0.81.0-6.fc8.i386.rpm
xorg-x11-drv-ati-6.8.0-3.fc9.i386.rpm
xorg-x11-drv-avivo-0.0.1-7.fc9.i386.rpm
xorg-x11-drv-calcomp-1.1.1-1.fc9.i386.rpm
xorg-x11-drv-chips-1.1.1-5.fc8.i386.rpm
xorg-x11-drv-cirrus-1.1.0-8.fc9.i386.rpm
xorg-x11-drv-citron-2.2.1-1.fc9.i386.rpm
xorg-x11-drv-cyrix-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.i386.rpm
xorg-x11-drv-digitaledge-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-dmc-1.1.1-1.fc9.i386.rpm
xorg-x11-drv-dummy-0.2.0-8.fc9.i386.rpm
xorg-x11-drv-dynapro-1.1.1-1.fc9.i386.rpm
xorg-x11-drv-elographics-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-evdev-1.2.0-2.fc9.i386.rpm
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386.rpm
xorg-x11-drv-fpit-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-glint-1.1.1-7.fc8.i386.rpm
xorg-x11-drv-hyperpen-1.1.0-6.fc9.i386.rpm
xorg-x11-drv-i128-1.2.1-3.20080303.fc9.i386.rpm
xorg-x11-drv-i740-1.1.0-5.fc8.i386.rpm
xorg-x11-drv-i810-2.2.1-4.fc9.i386.rpm
xorg-x11-drv-i810-devel-2.2.1-4.fc9.i386.rpm
xorg-x11-drv-jamstudio-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-keyboard-1.2.2-4.fc9.i386.rpm
xorg-x11-drv-magellan-1.1.0-6.fc9.i386.rpm
xorg-x11-drv-mga-1.4.8-1.fc9.i386.rpm
xorg-x11-drv-microtouch-1.1.1-1.fc9.i386.rpm
xorg-x11-drv-mouse-1.2.3-4.fc9.i386.rpm
xorg-x11-drv-mutouch-1.1.0-6.fc9.i386.rpm
xorg-x11-drv-neomagic-1.1.1-6.fc9.i386.rpm
xorg-x11-drv-nouveau-0.0.10-1.20080221git5db7920.fc9.i386.rpm
xorg-x11-drv-nsc-2.8.1-5.fc9.i386.rpm
xorg-x11-drv-nv-2.1.7-3.fc9.i386.rpm
xorg-x11-drv-openchrome-0.2.901-7.fc9.i386.rpm
xorg-x11-drv-openchrome-devel-0.2.901-7.fc9.i386.rpm
xorg-x11-drv-palmax-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-penmount-1.2.1-1.fc9.i386.rpm
xorg-x11-drv-radeonhd-1.1.0-0.7.20080301git.fc9.i386.rpm
xorg-x11-drv-rendition-4.1.3-7.20080303.fc9.i386.rpm
xorg-x11-drv-s3-0.5.0-5.fc8.i386.rpm
xorg-x11-drv-s3virge-1.9.1-5.fc8.i386.rpm
xorg-x11-drv-savage-2.1.3-101.20071210.fc9.i386.rpm
xorg-x11-drv-siliconmotion-1.5.1-3.fc8.i386.rpm
xorg-x11-drv-sis-0.9.4-4.fc9.i386.rpm
xorg-x11-drv-sisusb-0.8.1-10.fc9.i386.rpm
xorg-x11-drv-spaceorb-1.1.0-6.fc9.i386.rpm
xorg-x11-drv-summa-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-tdfx-1.3.0-8.fc9.i386.rpm
xorg-x11-drv-tek4957-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-trident-1.2.3-8.fc9.i386.rpm
xorg-x11-drv-tseng-1.1.0-7.fc8.i386.rpm
xorg-x11-drv-ur98-1.1.0-5.fc9.i386.rpm
xorg-x11-drv-v4l-0.1.1-9.fc9.i386.rpm
xorg-x11-drv-vermilion-1.0.0-2.fc8.i386.rpm
xorg-x11-drv-vesa-1.3.0-13.20071113.fc9.i386.rpm
xorg-x11-drv-vga-4.1.0-5.fc8.i386.rpm
xorg-x11-drv-via-0.2.2-4.fc8.i386.rpm
xorg-x11-drv-via-devel-0.2.2-4.fc8.i386.rpm
xorg-x11-drv-vmmouse-12.4.3-4.fc9.i386.rpm
xorg-x11-drv-vmware-10.15.2-100.1.fc9.i386.rpm
xorg-x11-drv-void-1.1.1-9.fc9.i386.rpm
xorg-x11-drv-voodoo-1.1.1-3.20080303.fc9.i386.rpm
xorg-x11-drv-wiimote-0.0.1-1.fc9.i386.rpm
xorg-x11-filesystem-7.3-1.fc9.noarch.rpm
xorg-x11-font-utils-7.2-4.fc9.i386.rpm
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-14-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-14-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-15-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-15-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-2-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-2-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-9-100dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ISO8859-9-75dpi-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-Type1-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-cyrillic-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-ethiopic-7.2-6.fc9.noarch.rpm
xorg-x11-fonts-misc-7.2-6.fc9.noarch.rpm
xorg-x11-proto-devel-7.3-8.fc9.noarch.rpm
xorg-x11-resutils-7.1-5.fc9.i386.rpm
xorg-x11-server-Xdmx-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-Xephyr-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-Xnest-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-Xorg-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-Xvfb-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-common-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-devel-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-source-1.4.99.900-0.28.20080304.fc9.i386.rpm
xorg-x11-server-utils-7.3-3.fc9.i386.rpm
xorg-x11-twm-1.0.3-2.fc9.i386.rpm
xorg-x11-util-macros-1.1.6-1.fc9.i386.rpm
xorg-x11-utils-7.3-2.fc9.i386.rpm
xorg-x11-xauth-1.0.2-4.fc9.i386.rpm
xorg-x11-xbitmaps-1.0.1-5.1.i386.rpm
xorg-x11-xdm-1.1.6-3.fc9.i386.rpm
xorg-x11-xfs-1.0.5-2.fc9.i386.rpm
xorg-x11-xfs-utils-1.0.5-2.fc9.i386.rpm
xorg-x11-xfwp-1.0.1-6.fc9.i386.rpm
xorg-x11-xinit-1.0.7-5.fc9.i386.rpm
xorg-x11-xkb-utils-7.2-4.fc9.i386.rpm
xorg-x11-xsm-1.0.2-7.fc9.i386.rpm
xorg-x11-xtrans-devel-1.1-1.fc9.i386.rpm
Comment 4 Matěj Cepl 2008-03-06 10:52:38 EST
Could we get please your /var/log/Xorg.*.log (including old versions)? I don't
even know what hardware you use.
Comment 5 Luke Hutchison 2008-03-06 11:01:17 EST
Created attachment 297064 [details]
all /var/log/Xorg* files

Sorry, I have a Radeon 9000 series card... I didn't know that the video card
details would matter too much since the crash seems to happen regardless of the
driver used.  I have an Athlon 3200+ system with 1GB of RAM, let me know if you
need other system details.

Thanks!
Comment 6 Luke Hutchison 2008-03-29 23:19:54 EDT
I tried updating to latest rawhide and this seems fixed now.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.